darcs

Issue 2263 option --set-scripts-executable is not properly documented

Title option --set-scripts-executable is not properly documented
Priority bug Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List alex.aegf, bf, jaredj, twb
Assigned To alex.aegf
Topics Documentation, ProbablyEasy

Created on 2012-10-30.10:52:30 by bf, last changed 2014-03-25.15:22:29 by noreply.

Messages
msg16265 (view) Author: bf Date: 2012-10-30.10:52:28
1. Summarise the issue (what were doing, what went wrong?)

The manual says (under 'darcs record'):

The -set-scripts-executable option causes scripts to be made executable
in the clean copy of the working tree, prior to running the test. See
`darcs get' for an explanation of the script heuristic.

But there is no such explanation under 'darcs get'.

2. What behaviour were you expecting instead?

For each command that supports this option, a hyperlink to some
explanation of the script detection heuristics. Should be a subsection
under 'Common options to darcs commands'.
msg16686 (view) Author: kowey Date: 2013-02-17.13:47:21
We should fix this

(Man I do hope we sort the doc infrastructure out one day soon (the 
converging things to markdown, considering moving parts to the wiki, etc)
msg17214 (view) Author: alex.aegf Date: 2014-03-22.19:25:18
It seems easy (my humble opinion of course) to fix. I think I found 
where make the changes. But I can't find any information about the 
scripts heuristic.

I was searching for darcs.net/manual, where I find the subsection 
'Common options to darcs commands' :) So, I think that I will not find 
the info there jeje.
msg17215 (view) Author: gh Date: 2014-03-22.19:43:28
In cases like this one, one should assume that the only trustable
information is the source code itself, and possibly the communications
between developers when the relevant code was introduced or modified
(mailing lists, IRC). Fortunately, archives are available and
google-able.

You can do some archeology in the code itself by running `darcs log -i
--matches "hunk set-scripts"`. This will let you find all patches that
have the string set-scripts somewhere inside them.
msg17216 (view) Author: alex.aegf Date: 2014-03-22.19:53:07
Great! Just had found something of info in

src/Darcs/Repository/Internal.hs:949

using 'grep'. Good to know there are other way.
msg17223 (view) Author: noreply Date: 2014-03-25.15:22:28
The following patch sent by Ale Gadea <alex.aegf@gmail.com> updated issue Issue2263 with
status=resolved;resolvedin=2.10.0 HEAD

* Resolve Issue2263: Option --set-scripts-executable is not properly documented 
Ignore-this: cdfff821ce91e6e5070fdcd62f0f3ad2
History
Date User Action Args
2012-10-30 10:52:30bfcreate
2013-02-17 13:47:23koweysetpriority: bug
status: unknown -> needs-implementation
topic: + ProbablyEasy
messages: + msg16686
nosy: + jaredj
2013-02-17 13:47:35koweysettopic: + Documentation
nosy: + twb
2014-03-17 01:26:52ghsetassignedto: alex.aegf
nosy: + alex.aegf
2014-03-22 19:25:19alex.aegfsetmessages: + msg17214
2014-03-22 19:43:29ghsetmessages: + msg17215
2014-03-22 19:53:08alex.aegfsetmessages: + msg17216
2014-03-25 15:22:29noreplysetstatus: needs-implementation -> resolved
messages: + msg17223
resolvedin: 2.10.0 HEAD